GNU logs - #13241, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#13241: 24.2; sh-mode, bash, font-lock; highlight variables in expressions: (( var ))
Resent-From: quite@HIDDEN
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 20 Dec 2012 16:47:01 +0000
Resent-Message-ID: <handler.13241.B.135602201211380 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 13241
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 13241 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.135602201211380
          (code B ref -1); Thu, 20 Dec 2012 16:47:01 +0000
Received: (at submit) by debbugs.gnu.org; 20 Dec 2012 16:46:52 +0000
Received: from localhost ([127.0.0.1]:52839 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TljGl-0002xU-Mg
	for submit <at> debbugs.gnu.org; Thu, 20 Dec 2012 11:46:52 -0500
Received: from eggs.gnu.org ([208.118.235.92]:36604)
	by debbugs.gnu.org with esmtp (Exim 4.72) (envelope-from
	<quite@HIDDEN>)
	id 1Tlhoy-0000il-QO
	for submit <at> debbugs.gnu.org; Thu, 20 Dec 2012 10:14:05 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from
	<quite@HIDDEN>)
	id 1Tlhok-0001Tn-Rn
	for submit <at> debbugs.gnu.org; Thu, 20 Dec 2012 10:13:56 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-101.9 required=5.0 tests=BAYES_00,NO_DNS_FOR_FROM,
	USER_IN_WHITELIST autolearn=no version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:45991)
	by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from
	<quite@HIDDEN>)
	id 1Tlhok-0001Tj-Oi
	for submit <at> debbugs.gnu.org; Thu, 20 Dec 2012 10:13:50 -0500
Received: from eggs.gnu.org ([208.118.235.92]:47925)
	by lists.gnu.org with esmtp (Exim 4.71) (envelope-from
	<quite@HIDDEN>)
	id 1Tlhoj-00054H-F9
	for bug-gnu-emacs@HIDDEN; Thu, 20 Dec 2012 10:13:50 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from
	<quite@HIDDEN>)
	id 1Tlhof-0001T1-LK
	for bug-gnu-emacs@HIDDEN; Thu, 20 Dec 2012 10:13:49 -0500
Received: from gyro.lublin.se ([193.228.143.224]:50386)
	by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from
	<quite@HIDDEN>)
	id 1Tlhof-0001S2-Ec
	for bug-gnu-emacs@HIDDEN; Thu, 20 Dec 2012 10:13:45 -0500
Received: from kelebek.lublin.se (c83-249-23-194.bredband.comhem.se
	[83.249.23.194])
	by gyro.lublin.se (Postfix) with ESMTPSA id CA0482092C
	for <bug-gnu-emacs@HIDDEN>; Thu, 20 Dec 2012 15:38:15 +0100 (CET)
Received: from quite by kelebek.lublin.se with local (Exim 4.80.1)
	(envelope-from
	<quite@HIDDEN>)
	id 1TlhGR-0006We-Q3
	for bug-gnu-emacs@HIDDEN; Thu, 20 Dec 2012 15:38:23 +0100
From: quite@HIDDEN
Date: Thu, 20 Dec 2012 15:38:23 +0100
Message-ID: <87txrgbxgg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -4.2 (----)
X-Mailman-Approved-At: Thu, 20 Dec 2012 11:46:51 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

Feature request: make the sh-mode font-lock mode propertly highlight 
variables used in expression, such as:  (( var > 42 ))  $(( var++ ))




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.428 (Entity 5.428)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: quite@HIDDEN
Subject: bug#13241: Acknowledgement (24.2; sh-mode, bash, font-lock;
 highlight variables in expressions: (( var )))
Message-ID: <handler.13241.B.135602201211380.ack <at> debbugs.gnu.org>
References: <87txrgbxgg.fsf@HIDDEN>
X-Gnu-PR-Message: ack 13241
X-Gnu-PR-Package: emacs
Reply-To: 13241 <at> debbugs.gnu.org
Date: Thu, 20 Dec 2012 16:47:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 13241 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
13241: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D13241
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#13241: 24.2; sh-mode, bash, font-lock; highlight variables in expressions: (( var ))
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 10 May 2022 12:29:02 +0000
Resent-Message-ID: <handler.13241.B13241.165218572323755 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 13241
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: quite@HIDDEN
Cc: 13241 <at> debbugs.gnu.org
Received: via spool by 13241-submit <at> debbugs.gnu.org id=B13241.165218572323755
          (code B ref 13241); Tue, 10 May 2022 12:29:02 +0000
Received: (at 13241) by debbugs.gnu.org; 10 May 2022 12:28:43 +0000
Received: from localhost ([127.0.0.1]:60571 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1noOyo-0006B5-Vm
	for submit <at> debbugs.gnu.org; Tue, 10 May 2022 08:28:43 -0400
Received: from quimby.gnus.org ([95.216.78.240]:54460)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1noOym-0006An-Lx
 for 13241 <at> debbugs.gnu.org; Tue, 10 May 2022 08:28:41 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=yEb9zBHs1c8m7dxzJphLBqQCuIOMek5+rPLFYf7Zfqs=; b=cDoK4vjU5NjIV2KIMqc5E8ePKg
 BtxHO1LYVvWYiy9YagRR1wR3X2j07tKbQ9wTnNUFT13qFV7j2qy26XO8EkKThM1yjjm1tjaHwXeCP
 S2L9shly3oLGRyMQVuaCYFuOH0pWhTMKJumRmlZRGlSHWyrwoNTYjR3pHYBDBvSsABww=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1noOye-0003Py-BQ; Tue, 10 May 2022 14:28:34 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <87txrgbxgg.fsf@HIDDEN>
X-Now-Playing: Joni Mitchell's _The Hissing Of Summer Lawns_: "Harry's
 House-Centerpiece"
Date: Tue, 10 May 2022 14:28:29 +0200
In-Reply-To: <87txrgbxgg.fsf@HIDDEN>
 (quite@HIDDEN's message of "Thu, 20 Dec 2012 15:38:23 +0100")
Message-ID: <87ilqdinbm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  quite@HIDDEN writes: > Feature request: make the sh-mode
 font-lock mode propertly highlight > variables used in expression, such as:
 (( var > 42 )) $(( var++ )) (I'm going through old bug reports that
 unfortunately weren't resolved at the time.) 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

quite@HIDDEN writes:

> Feature request: make the sh-mode font-lock mode propertly highlight 
> variables used in expression, such as:  (( var > 42 ))  $(( var++ ))

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I don't quite understand the request -- sh-mode doesn't font-lock
variables in other cases, so I don't quite see why it should font-lock
variables inside (( )) constructs?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 10 May 2022 12:28:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 10 08:28:46 2022
Received: from localhost ([127.0.0.1]:60574 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1noOys-0006BK-6D
	for submit <at> debbugs.gnu.org; Tue, 10 May 2022 08:28:46 -0400
Received: from quimby.gnus.org ([95.216.78.240]:54474)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1noOyq-0006Aw-Q0
 for control <at> debbugs.gnu.org; Tue, 10 May 2022 08:28:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Hqau1JydORNi2mU9oYNgusWlnT3BjtSv2VZ/VVc2v5U=; b=etpGMOxy3uO/Cpg1zTRM43JXVD
 dOPP/0tDGAq3/LVJ0t9moXv1zIc8RVzU+cZyx38dSlb4rFw3BlaJWp9ltyLZC+a3qpv/6Rbjk1nuA
 Ii4sHv3CnfJ9c8y/Sx6Y44YnSVV0BeS+1+pD1UMw5abPP3CngGKzFRvZbhWmup6Y1yoc=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1noOyj-0003Q8-E6
 for control <at> debbugs.gnu.org; Tue, 10 May 2022 14:28:39 +0200
Date: Tue, 10 May 2022 14:28:36 +0200
Message-Id: <87h75xinbf.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #13241
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  tags 13241 + moreinfo quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

tags 13241 + moreinfo
quit





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#13241: 24.2; sh-mode, bash, font-lock; highlight variables in expressions: (( var ))
Resent-From: Daniel Lublin <daniel@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 10 May 2022 13:08:01 +0000
Resent-Message-ID: <handler.13241.B13241.165218802512150 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 13241
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: 13241 <at> debbugs.gnu.org
Cc: Lars Ingebrigtsen <larsi@HIDDEN>
Received: via spool by 13241-submit <at> debbugs.gnu.org id=B13241.165218802512150
          (code B ref 13241); Tue, 10 May 2022 13:08:01 +0000
Received: (at 13241) by debbugs.gnu.org; 10 May 2022 13:07:05 +0000
Received: from localhost ([127.0.0.1]:60647 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1noPZx-00039u-O9
	for submit <at> debbugs.gnu.org; Tue, 10 May 2022 09:07:05 -0400
Received: from dysnomia.uberspace.de ([185.26.156.223]:42950)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <daniel@HIDDEN>) id 1noPZt-00039P-Qm
 for 13241 <at> debbugs.gnu.org; Tue, 10 May 2022 09:07:04 -0400
Received: (qmail 1381 invoked by uid 989); 10 May 2022 13:06:59 -0000
Authentication-Results: dysnomia.uberspace.de;
	auth=pass (plain)
Date: Tue, 10 May 2022 15:06:58 +0200
From: Daniel Lublin <daniel@HIDDEN>
Message-ID: <YnpjcpLN8hF2Lvj0@HIDDEN>
References: <87txrgbxgg.fsf@HIDDEN>
 <87ilqdinbm.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
In-Reply-To: <87ilqdinbm.fsf@HIDDEN>
X-Rspamd-Bar: /
X-Rspamd-Report: MIME_GOOD(-0.1) BAYES_HAM(-0.044487)
X-Rspamd-Score: -0.144487
Received: from unknown (HELO unkown) (::1)
 by dysnomia.uberspace.de (Haraka/2.8.28) with ESMTPSA; id A63FE87B90;
 Tue, 10 May 2022 15:06:58 +0200 (CEST)
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 > I don't quite understand the request -- sh-mode doesn't font-lock
 > variables in other cases, so I don't quite see why it should font-lock
 > variables inside (( )) constructs?

 But it does? At least in `foo=bar` `foo` gets the
 font-lock-variable-name-face. At least to my understanding of "font-lock".

 But, I'm no really bothered by this, and wouldn't mind the issue being
 closed.
 




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#13241: 24.2; sh-mode, bash, font-lock; highlight variables in expressions: (( var ))
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 10 May 2022 13:29:02 +0000
Resent-Message-ID: <handler.13241.B13241.165218932822808 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 13241
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Daniel Lublin <daniel@HIDDEN>
Cc: 13241 <at> debbugs.gnu.org
Received: via spool by 13241-submit <at> debbugs.gnu.org id=B13241.165218932822808
          (code B ref 13241); Tue, 10 May 2022 13:29:02 +0000
Received: (at 13241) by debbugs.gnu.org; 10 May 2022 13:28:48 +0000
Received: from localhost ([127.0.0.1]:60731 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1noPux-0005vo-Tm
	for submit <at> debbugs.gnu.org; Tue, 10 May 2022 09:28:48 -0400
Received: from quimby.gnus.org ([95.216.78.240]:55174)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1noPuv-0005vX-Ui
 for 13241 <at> debbugs.gnu.org; Tue, 10 May 2022 09:28:46 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=uUxI51JKG/4r1iY2n1PetNPG1cpDGCDt0r+wA7wpbQA=; b=ZGG1/5fvTw4FQAo0DcJzyKyDrE
 e63mwPr3lt3Ggk5+RhijnNRMqHbpWwaqa/y37LRCWYYSuPdLej0noKJ5ydqd/M59uvnSVYD6K6eAs
 xh+Xa6+SShvBECKsG//Qa78HIK94jdy2677baTn7fLlgSNzHOOtJxbFB6bOD0JNU4mRU=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1noPun-0003xR-MQ; Tue, 10 May 2022 15:28:39 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <87txrgbxgg.fsf@HIDDEN>
 <87ilqdinbm.fsf@HIDDEN> <YnpjcpLN8hF2Lvj0@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEXu5ODBtayKf3Iv
 KBsKCQZZT0D///9OA1bqAAAAAWJLR0QGYWa4fQAAAAd0SU1FB+YFCg0aNtzbwToAAAG5SURBVDjL
 nZTPksIgDMbBWe8Et/eW2vta4AGUeF9Lef9X2RCgrTOeNv4dfn7Jl4RRiP8GqPyQAP/OsIU06uP5
 yeHzI/hCxJ9P4Ergo+SqCB2rNNujEA5/j15q7QDigvf2a1B6Ll+7JwjpWhGjoXtVMLMBTgLSmGHU
 JeMwKiVWrg5aJwpdLVx7ISfOq42OKXkuLntxhUEMxc6gJ6OtLwK53sjAPq4yfpqfxpCo9zC8dd2l
 Xo5YYlFNwmQQ5wpwbsn4bUyugeNcFukwbOS5DVG6FbFfN0nfXJ2o8ENtRcooc3F5QXzRbN9zEVDf
 pOj26tu+8u58Ko2wh83Xil6ryOc2g1tbrcO5W7KrOaWItlanZ7CLWbRKUQnorMdXVZxCGnrTLt4U
 A6+LwBmt6VO7LnLNADKgDmyydRcSHB4AhuCNMSlNkdwp2EEOG8tnAA7uj899iraOZAfWehstlQo0
 HpmHmy8gA+sdvbLmUVOdSiKSUFDnpCiAF+Hyjylu5OQuD4pQBFZFh/eaCkYGLLCAuwIu7LUAj3sN
 +M5gKiA7fEr6j2jgNsZ2njtXrcEAMVcnyDtXpfM13wUWvIE/JvCD9CjSHecAAAAldEVYdGRhdGU6
 Y3JlYXRlADIwMjItMDUtMTBUMTM6MjY6NTQrMDA6MDBS+IfCAAAAJXRFWHRkYXRlOm1vZGlmeQAy
 MDIyLTA1LTEwVDEzOjI2OjU0KzAwOjAwI6U/fgAAAABJRU5ErkJggg==
X-Now-Playing: Joni Mitchell's _Hejira_: "Refuge Of The Roads"
Date: Tue, 10 May 2022 15:28:37 +0200
In-Reply-To: <YnpjcpLN8hF2Lvj0@HIDDEN> (Daniel Lublin's message of "Tue, 
 10 May 2022 15:06:58 +0200")
Message-ID: <87mtfph5yy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Daniel Lublin <daniel@HIDDEN> writes: > > I don't quite
 understand the request -- sh-mode doesn't font-lock > > variables in other
 cases, so I don't quite see why it should font-lock > > variables inside
 (( )) constructs? > > But it does? [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Daniel Lublin <daniel@HIDDEN> writes:

>  > I don't quite understand the request -- sh-mode doesn't font-lock
>  > variables in other cases, so I don't quite see why it should font-lock
>  > variables inside (( )) constructs?
>
>  But it does? At least in `foo=bar` `foo` gets the
>  font-lock-variable-name-face. At least to my understanding of "font-lock".

Sorry, don't know what I was thinking.

When $var++ is highlighted, then $(( var++ )) should be, too.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 9 Jun 2022 14:42:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 09 10:42:22 2022
Received: from localhost ([127.0.0.1]:47276 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nzJMc-0001ZT-CH
	for submit <at> debbugs.gnu.org; Thu, 09 Jun 2022 10:42:22 -0400
Received: from quimby.gnus.org ([95.216.78.240]:50826)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nzJMa-0001ZG-8H
 for control <at> debbugs.gnu.org; Thu, 09 Jun 2022 10:42:20 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=wsDczdL1MJSBMTA1iaKNdHPJlbZiaXdm2synmbtp66I=; b=SqynM4vjoIa8EjZbjGruZ5DdE0
 OntbgXJyz0vqvUyLh9A2IZg1uhz18mOh5fpXiIRXyocJ3KcsxxbAQG242+hP/FMAHDlZ9l/21hgUr
 bSMj6cHo7cp6jwMunn3D5wWW5PyJWO5itkw/2iCZ0vSA64mrXQUrQMYhwsdLQgfDLgMM=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1nzJMS-00016Y-9H
 for control <at> debbugs.gnu.org; Thu, 09 Jun 2022 16:42:14 +0200
Date: Thu, 09 Jun 2022 16:42:11 +0200
Message-Id: <877d5p3nlo.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #13241
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  tags 13241 - moreinfo quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

tags 13241 - moreinfo
quit






Last modified: Thu, 9 Jun 2022 14:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.